Scrum Workspaces API
- List scrum workspaces
- Get a single scrum workspace
- Create a scrum workspace
- Update a scrum workspace
- Fields
List scrum workspaces
Section titled “List scrum workspaces”List all scrum workspaces for an account:
GET /scrum_workspacesResponse
Section titled “Response”Status: 200 OK[ { "id": 1, "sourceID": null, "name": "Application Development", "created_at": "2022-09-29T01:50:22-05:00", "updated_at": "2022-09-29T01:50:22-05:00", "nodeID": "..." }, { "id": 2, "sourceID": null, "name": "Heavy Iron", "created_at": "2022-10-06T03:31:10-05:00", "updated_at": "2022-10-06T04:48:03-05:00", "nodeID": "..." }]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of scrum workspaces.
Predefined Filters
Section titled “Predefined Filters”The following predefined filters are available:
/scrum_workspaces/enabled: List all scrum workspaces that are enabled/scrum_workspaces/disabled: List all scrum workspaces that are disabled
Collection Fields
Section titled “Collection Fields”By default the following fields will appear in collections of scrum workspaces:
id
sourceID
name
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Section titled “Filtering”Filtering is available for the following fields :
id
source
sourceID
name
created_at
updated_at
disabled
Sorting
Section titled “Sorting”By default a collection of scrum workspaces is sorted
ascending
by
name
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
name
created_at
updated_at
Get a single scrum workspace
Section titled “Get a single scrum workspace”GET /scrum_workspaces/:idResponse
Section titled “Response”Status: 200 OK{ "agile_board": { "id": 3, "name": "Test", "nodeID": "..." }, "attachments": [], "created_at": "2022-10-06T03:31:10-05:00", "description": "Accelerating innovation with DevOps on mainframe", "disabled": false, "id": 2, "name": "Heavy Iron", "picture_uri": null, "product_backlog": { "id": 2, "name": "Mainframe Backlog", "nodeID": "..." }, "source": "R-Service", "sourceID": null, "sprint_length": 4, "team": { "id": 15, "name": "Mainframe", "nodeID": "..." }, "updated_at": "2022-10-06T04:48:03-05:00", "nodeID": "..."}The response contains these fields .
Create a scrum workspace
Section titled “Create a scrum workspace”POST /scrum_workspacesWhen creating a new scrum workspace these fields are available.
Response
Section titled “Response”Status: 201 Created{ "created_at": "...", "...": "..."}The response contains all fields of the created scrum workspace and is similar to the response in Get a single scrum workspace
Update a scrum workspace
Section titled “Update a scrum workspace”PATCH /scrum_workspaces/:idWhen updating a scrum workspace these fields are available.
Response
Section titled “Response”Status: 200 OK{ "created_at": "...", "...": "..."}The response contains all fields of the updated scrum workspace and is similar to the response in Get a single scrum workspace
Fields
Section titled “Fields”attachments
Readonly aggregated Attachments
agile_board
Required reference to Agile Board — Agile board used to track the progress of this workspace’s active sprint.
created_at
Readonly datetime — The date and time at which the scrum workspace was created.
description
Optional text (max 64KB) — Additional information about the scrum workspace.
description_attachments
Writeonly attachments The attachments used in the Description field.
disabled
Optional
boolean
, default:
false
— Whether the scrum workspace is in use.
id
Readonly integer — The unique ID of the scrum workspace.
name
Required string (max 128) — Name of the scrum workspace.
picture_uri
Optional string — The hyperlink to the image file for the scrum workspace.
product_backlog
Required reference to Product Backlog — Product backlog used when planning sprints.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
sprint_length
Required integer — Standard length in weeks of new sprints planned in this scrum workspace.
team
Required reference to Team — Team planning their work using this scrum workspace.
updated_at
Readonly
datetime
— The date and time of the last update of the scrum workspace. If the scrum workspace has no updates it contains the
created_at
value.